# Class ELInterpreterFactory

java.lang.Object
org.apache.jasper.compiler.ELInterpreterFactory

public class ELInterpreterFactory extends Object
Provides `ELInterpreter` instances for JSP compilation. The search order is as follows:

1. ELInterpreter instance or implementation class name provided as a ServletContext attribute
2. Implementation class named in a ServletContext initialisation parameter
3. Default implementation

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ELInterpreterFactory.DefaultELInterpreter`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EL_INTERPRETER_CLASS_NAME`

## Method Summary

Modifier and Type
Method
Description
`static ELInterpreter`
`getELInterpreter(ServletContext context)`
Obtain the correct EL Interpreter for the given web application.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EL_INTERPRETER_CLASS_NAME

public static final String EL_INTERPRETER_CLASS_NAME

## Method Details

### getELInterpreter

public static ELInterpreter getELInterpreter(ServletContext context) throws Exception
Obtain the correct EL Interpreter for the given web application.

Parameters:
  `context` - The Servlet context
Returns:
  the EL interpreter
Throws:
  `Exception` - If an error occurs creating the interpreter